Page MenuHomePhabricator

Update at-ease calls in extensions
Closed, ResolvedPublic

Description

Any calls to MediaWiki\suppressWarnings() or MediaWiki\restoreWarnings() in the extensions below need replacing with Wikimedia\suppressWarnings() and Wikimedia\restoreWarnings

Also, if in the extension.json it specifies a requirement for a MediaWiki version, this needs bumping to >= 1.31.0. If the extension doesn't define a requirement for a MediaWiki version, now is a good time to add it, and set it to 1.31 too.

See here for information about defining dependancies

  • extensions/AbuseFilter
  • extensions/AkismetKlik
  • extensions/BlogPage
  • extensions/BlueSpiceDashboards
  • extensions/CentralAuth
  • extensions/ChangeAuthor
  • extensions/CheckUser
  • extensions/CirrusSearch
  • extensions/CodeReview
  • extensions/Comments
  • extensions/FanBoxes
  • extensions/Flow
  • extensions/GeoData
  • extensions/Lingo
  • extensions/LinkFilter
  • extensions/OATHAuth
  • extensions/PageTriage
  • extensions/PagedTiffHandler
  • extensions/PoolCounter
  • extensions/Screenplay
  • extensions/Scribunto
  • extensions/SocialProfile
  • extensions/SportsTeams
  • extensions/Translate
  • extensions/UserStatus
  • extensions/VersionCompare
  • extensions/VisualEditor
  • extensions/VoteNY
  • extensions/Wikibase
  • extensions/WikimediaBadges
  • extensions/timeline
  • skins/BlueSpiceSkin

Function
    suppressWarnings
Found usages  (32 usages found)
    Function call  (32 usages found)
        mediawiki  (31 usages found)
            core/includes/sparql  (1 usage found)
                SparqlClient.php  (1 usage found)
                    SparqlClient  (1 usage found)
                        query  (1 usage found)
                            176 \MediaWiki\suppressWarnings();
            extensions/AbuseFilter/includes/Views  (1 usage found)
                AbuseFilterViewEdit.php  (1 usage found)
                    AbuseFilterViewEdit  (1 usage found)
                        buildConsequenceEditor  (1 usage found)
                            658 MediaWiki\suppressWarnings();
            extensions/SocialProfile/SystemGifts  (1 usage found)
                SpecialSystemGiftManagerLogo.php  (1 usage found)
                    SystemGiftManagerLogo  (1 usage found)
                        unsaveUploadedFile  (1 usage found)
                            483 MediaWiki\suppressWarnings();
            extensions/SocialProfile/UserGifts  (1 usage found)
                SpecialGiftManagerLogo.php  (1 usage found)
                    GiftManagerLogo  (1 usage found)
                        unsaveUploadedFile  (1 usage found)
                            506 MediaWiki\suppressWarnings();
            extensions/SocialProfile/UserProfile  (1 usage found)
                SpecialRemoveAvatar.php  (1 usage found)
                    RemoveAvatar  (1 usage found)
                        deleteImage  (1 usage found)
                            240 MediaWiki\suppressWarnings();
            extensions/SportsTeams/includes/api  (1 usage found)
                ApiSportsTeams.php  (1 usage found)
                    ApiSportsTeams  (1 usage found)
                        execute  (1 usage found)
                            25 MediaWiki\suppressWarnings();
            extensions/timeline  (2 usages found)
                Timeline.body.php  (2 usages found)
                    Timeline  (2 usages found)
                        fixMap  (1 usage found)
                            246 MediaWiki\suppressWarnings();
                        renderTimeline  (1 usage found)
                            113 MediaWiki\suppressWarnings();
            extensions/Translate  (1 usage found)
                MessageGroups.php  (1 usage found)
                    MessageGroups  (1 usage found)
                        getGroupStructure  (1 usage found)
                            694 MediaWiki\suppressWarnings();
            extensions/Translate/api  (1 usage found)
                ApiQueryMessageGroups.php  (1 usage found)
                    ApiQueryMessageGroups  (1 usage found)
                        execute  (1 usage found)
                            52 MediaWiki\suppressWarnings();
            extensions/Translate/ffs  (4 usages found)
                IniFFS.php  (1 usage found)
                    IniFFS  (1 usage found)
                        isValid  (1 usage found)
                            26 MediaWiki\suppressWarnings();
                MediaWikiComplexMessages.php  (3 usages found)
                    ComplexMessages  (2 usages found)
                        readVariable  (1 usage found)
                            232 MediaWiki\suppressWarnings();
                        val  (1 usage found)
                            195 MediaWiki\suppressWarnings();
                    SpecialPageAliasesCM  (1 usage found)
                        validateEach  (1 usage found)
                            645 MediaWiki\suppressWarnings();
            extensions/Translate/scripts  (1 usage found)
                translator-stats.php  (1 usage found)
                    TS  (1 usage found)
                        execute  (1 usage found)
                            105 MediaWiki\suppressWarnings();
            extensions/Translate/utils  (2 usages found)
                ExternalMessageSourceStateComparator.php  (1 usage found)
                    ExternalMessageSourceStateComparator  (1 usage found)
                        addMessageUpdateChanges  (1 usage found)
                            107 MediaWiki\suppressWarnings();
                StatsTable.php  (1 usage found)
                    StatsTable  (1 usage found)
                        getBackgroundColor  (1 usage found)
                            75 MediaWiki\suppressWarnings();
            extensions/Wikibase/client/tests/phpunit/includes  (3 usages found)
                ClientParserOutputDataUpdaterTest.php  (2 usages found)
                    ClientParserOutputDataUpdaterTest  (2 usages found)
                        testUpdateBadgesProperty_inconsistentSiteLinkLookupEmptySiteLinkList  (1 usage found)
                            269 \MediaWiki\suppressWarnings();
                        testUpdateBadgesProperty_inconsistentSiteLinkLookupNoSuchEntity  (1 usage found)
                            295 \MediaWiki\suppressWarnings();
                OtherProjectsSitesGeneratorTest.php  (1 usage found)
                    OtherProjectsSitesGeneratorTest  (1 usage found)
                        testOtherProjectSiteIds_unknownSite  (1 usage found)
                            88 \MediaWiki\suppressWarnings();
            extensions/Wikibase/client/tests/phpunit/includes/Hooks  (1 usage found)
                OtherProjectsSidebarGeneratorTest.php  (1 usage found)
                    OtherProjectsSidebarGeneratorTest  (1 usage found)
                        testBuildProjectLinkSidebar_hook  (1 usage found)
                            158 \MediaWiki\suppressWarnings();
            extensions/Wikibase/client/tests/phpunit/includes/RecentChanges  (1 usage found)
                RecentChangeFactoryTest.php  (1 usage found)
                    RecentChangeFactoryTest  (1 usage found)
                        testNewRecentChange_no_summary  (1 usage found)
                            470 \MediaWiki\suppressWarnings();
            extensions/Wikibase/lib/includes/Store  (1 usage found)
                EntityContentDataCodec.php  (1 usage found)
                    EntityContentDataCodec  (1 usage found)
                        decodeEntityContentData  (1 usage found)
                            205 \MediaWiki\suppressWarnings();
            extensions/Wikibase/lib/tests/phpunit/Changes  (3 usages found)
                ChangeRowTest.php  (1 usage found)
                    ChangeRowTest  (1 usage found)
                        testCanNotUnserializeNonArrays  (1 usage found)
                            107 \MediaWiki\suppressWarnings();
                ItemChangeTest.php  (2 usages found)
                    ItemChangeTest  (2 usages found)
                        changeBackwardsCompatProvider  (1 usage found)
                            65 \MediaWiki\suppressWarnings();
                        testGetSiteLinkDiffBackwardsCompat  (1 usage found)
                            119 \MediaWiki\suppressWarnings();
            extensions/Wikibase/repo/maintenance  (1 usage found)
                dumpEntities.php  (1 usage found)
                    DumpScript  (1 usage found)
                        execute  (1 usage found)
                            176 \MediaWiki\suppressWarnings();
            extensions/Wikibase/repo/tests/phpunit/includes  (2 usages found)
                PidLockTest.php  (1 usage found)
                    PidLockTest  (1 usage found)
                        testPidLock  (1 usage found)
                            32 \MediaWiki\suppressWarnings();
                RepoHooksTest.php  (1 usage found)
                    RepoHooksTest  (1 usage found)
                        testImportHandleRevisionXMLTag_hook  (1 usage found)
                            250 \MediaWiki\suppressWarnings();
            extensions/Wikibase/view/tests/phpunit/Template  (1 usage found)
                TemplateRegistryTest.php  (1 usage found)
                    TemplateRegistryTest  (1 usage found)
                        testGetUnknownTemplate  (1 usage found)
                            49 \MediaWiki\suppressWarnings();
            skins/BlueSpiceSkin  (1 usage found)
                BlueSpiceSkinTemplate.php  (1 usage found)
                    BlueSpiceSkinTemplate  (1 usage found)
                        execute  (1 usage found)
                            31 MediaWiki\suppressWarnings();
        PHP  (1 usage found)
            core/vendor/mediawiki/at-ease/src/MediaWiki  (1 usage found)
                Functions.php  (1 usage found)
                    quietCall  (1 usage found)
                        47 suppressWarnings();

and

Function
    restoreWarnings
Found usages  (32 usages found)
    Function call  (32 usages found)
        mediawiki  (31 usages found)
            core/includes/sparql  (1 usage found)
                SparqlClient.php  (1 usage found)
                    SparqlClient  (1 usage found)
                        query  (1 usage found)
                            178 \MediaWiki\restoreWarnings();
            extensions/AbuseFilter/includes/Views  (1 usage found)
                AbuseFilterViewEdit.php  (1 usage found)
                    AbuseFilterViewEdit  (1 usage found)
                        buildConsequenceEditor  (1 usage found)
                            660 MediaWiki\restoreWarnings();
            extensions/SocialProfile/SystemGifts  (1 usage found)
                SpecialSystemGiftManagerLogo.php  (1 usage found)
                    SystemGiftManagerLogo  (1 usage found)
                        unsaveUploadedFile  (1 usage found)
                            485 MediaWiki\restoreWarnings();
            extensions/SocialProfile/UserGifts  (1 usage found)
                SpecialGiftManagerLogo.php  (1 usage found)
                    GiftManagerLogo  (1 usage found)
                        unsaveUploadedFile  (1 usage found)
                            508 MediaWiki\restoreWarnings();
            extensions/SocialProfile/UserProfile  (1 usage found)
                SpecialRemoveAvatar.php  (1 usage found)
                    RemoveAvatar  (1 usage found)
                        deleteImage  (1 usage found)
                            242 MediaWiki\restoreWarnings();
            extensions/SportsTeams/includes/api  (1 usage found)
                ApiSportsTeams.php  (1 usage found)
                    ApiSportsTeams  (1 usage found)
                        execute  (1 usage found)
                            27 MediaWiki\restoreWarnings();
            extensions/timeline  (2 usages found)
                Timeline.body.php  (2 usages found)
                    Timeline  (2 usages found)
                        fixMap  (1 usage found)
                            248 MediaWiki\restoreWarnings();
                        renderTimeline  (1 usage found)
                            115 MediaWiki\restoreWarnings();
            extensions/Translate  (1 usage found)
                MessageGroups.php  (1 usage found)
                    MessageGroups  (1 usage found)
                        getGroupStructure  (1 usage found)
                            696 MediaWiki\restoreWarnings();
            extensions/Translate/api  (1 usage found)
                ApiQueryMessageGroups.php  (1 usage found)
                    ApiQueryMessageGroups  (1 usage found)
                        execute  (1 usage found)
                            54 MediaWiki\restoreWarnings();
            extensions/Translate/ffs  (4 usages found)
                IniFFS.php  (1 usage found)
                    IniFFS  (1 usage found)
                        isValid  (1 usage found)
                            29 MediaWiki\restoreWarnings();
                MediaWikiComplexMessages.php  (3 usages found)
                    ComplexMessages  (2 usages found)
                        readVariable  (1 usage found)
                            234 MediaWiki\restoreWarnings();
                        val  (1 usage found)
                            197 MediaWiki\restoreWarnings();
                    SpecialPageAliasesCM  (1 usage found)
                        validateEach  (1 usage found)
                            647 MediaWiki\restoreWarnings();
            extensions/Translate/scripts  (1 usage found)
                translator-stats.php  (1 usage found)
                    TS  (1 usage found)
                        execute  (1 usage found)
                            107 MediaWiki\restoreWarnings();
            extensions/Translate/utils  (2 usages found)
                ExternalMessageSourceStateComparator.php  (1 usage found)
                    ExternalMessageSourceStateComparator  (1 usage found)
                        addMessageUpdateChanges  (1 usage found)
                            109 MediaWiki\restoreWarnings();
                StatsTable.php  (1 usage found)
                    StatsTable  (1 usage found)
                        getBackgroundColor  (1 usage found)
                            77 MediaWiki\restoreWarnings();
            extensions/Wikibase/client/tests/phpunit/includes  (3 usages found)
                ClientParserOutputDataUpdaterTest.php  (2 usages found)
                    ClientParserOutputDataUpdaterTest  (2 usages found)
                        testUpdateBadgesProperty_inconsistentSiteLinkLookupEmptySiteLinkList  (1 usage found)
                            271 \MediaWiki\restoreWarnings();
                        testUpdateBadgesProperty_inconsistentSiteLinkLookupNoSuchEntity  (1 usage found)
                            297 \MediaWiki\restoreWarnings();
                OtherProjectsSitesGeneratorTest.php  (1 usage found)
                    OtherProjectsSitesGeneratorTest  (1 usage found)
                        testOtherProjectSiteIds_unknownSite  (1 usage found)
                            93 \MediaWiki\restoreWarnings();
            extensions/Wikibase/client/tests/phpunit/includes/Hooks  (1 usage found)
                OtherProjectsSidebarGeneratorTest.php  (1 usage found)
                    OtherProjectsSidebarGeneratorTest  (1 usage found)
                        testBuildProjectLinkSidebar_hook  (1 usage found)
                            166 \MediaWiki\restoreWarnings();
            extensions/Wikibase/client/tests/phpunit/includes/RecentChanges  (1 usage found)
                RecentChangeFactoryTest.php  (1 usage found)
                    RecentChangeFactoryTest  (1 usage found)
                        testNewRecentChange_no_summary  (1 usage found)
                            472 \MediaWiki\restoreWarnings();
            extensions/Wikibase/lib/includes/Store  (1 usage found)
                EntityContentDataCodec.php  (1 usage found)
                    EntityContentDataCodec  (1 usage found)
                        decodeEntityContentData  (1 usage found)
                            216 \MediaWiki\restoreWarnings();
            extensions/Wikibase/lib/tests/phpunit/Changes  (3 usages found)
                ChangeRowTest.php  (1 usage found)
                    ChangeRowTest  (1 usage found)
                        testCanNotUnserializeNonArrays  (1 usage found)
                            109 \MediaWiki\restoreWarnings();
                ItemChangeTest.php  (2 usages found)
                    ItemChangeTest  (2 usages found)
                        changeBackwardsCompatProvider  (1 usage found)
                            101 \MediaWiki\restoreWarnings();
                        testGetSiteLinkDiffBackwardsCompat  (1 usage found)
                            129 \MediaWiki\restoreWarnings();
            extensions/Wikibase/repo/maintenance  (1 usage found)
                dumpEntities.php  (1 usage found)
                    DumpScript  (1 usage found)
                        execute  (1 usage found)
                            178 \MediaWiki\restoreWarnings();
            extensions/Wikibase/repo/tests/phpunit/includes  (2 usages found)
                PidLockTest.php  (1 usage found)
                    PidLockTest  (1 usage found)
                        testPidLock  (1 usage found)
                            34 \MediaWiki\restoreWarnings();
                RepoHooksTest.php  (1 usage found)
                    RepoHooksTest  (1 usage found)
                        testImportHandleRevisionXMLTag_hook  (1 usage found)
                            252 \MediaWiki\restoreWarnings();
            extensions/Wikibase/view/tests/phpunit/Template  (1 usage found)
                TemplateRegistryTest.php  (1 usage found)
                    TemplateRegistryTest  (1 usage found)
                        testGetUnknownTemplate  (1 usage found)
                            51 \MediaWiki\restoreWarnings();
            skins/BlueSpiceSkin  (1 usage found)
                BlueSpiceSkinTemplate.php  (1 usage found)
                    BlueSpiceSkinTemplate  (1 usage found)
                        execute  (1 usage found)
                            100 MediaWiki\restoreWarnings();
        PHP  (1 usage found)
            core/vendor/mediawiki/at-ease/src/MediaWiki  (1 usage found)
                Functions.php  (1 usage found)
                    quietCall  (1 usage found)
                        49 restoreWarnings();

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 409974 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409974

Change 409977 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409977

Change 409993 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Scribunto@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409993

Change 409985 merged by jenkins-bot:
[mediawiki/extensions/LinkFilter@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409985

Change 409988 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409988

Change 409994 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/SocialProfile@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409994

Doing extensions/WikimediaBadges

Change 409997 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/SportsTeams@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409997

Zoranzoki21 removed a subscriber: Zoranzoki21.

I am sorry, but this is not easy and I can not to do on this.

Change 409989 merged by jenkins-bot:
[mediawiki/extensions/PagedTiffHandler@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409989

Change 409990 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409990

Change 409993 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409993

Change 409997 merged by jenkins-bot:
[mediawiki/extensions/SportsTeams@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409997

Change 410003 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Translate@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410003

Change 410006 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/UserStatus@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410006

Change 410007 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/VersionCompare@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410007

Change 410010 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/VisualEditor@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410010

Change 410012 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/VoteNY@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410012

Change 410007 merged by jenkins-bot:
[mediawiki/extensions/VersionCompare@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410007

Change 410006 merged by jenkins-bot:
[mediawiki/extensions/UserStatus@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410006

Change 410015 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/WikimediaBadges@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410015

Change 410010 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410010

Change 410012 merged by jenkins-bot:
[mediawiki/extensions/VoteNY@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410012

Change 409991 merged by Umherirrender:
[mediawiki/extensions/PoolCounter@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409991

Change 409979 merged by Umherirrender:
[mediawiki/extensions/Lingo@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/409979

Change 410015 merged by jenkins-bot:
[mediawiki/extensions/WikimediaBadges@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410015

Change 410556 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Wikibase@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410556

Reedy updated the task description. (Show Details)Feb 16 2018, 5:20 PM

Change 411494 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/BlogPage@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411494

Change 411498 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/Comments@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411498

Change 411511 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/FanBoxes@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411511

Change 411514 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/LinkFilter@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411514

Change 411516 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SportsTeams@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411516

Change 411518 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/UserStatus@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411518

Change 411519 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/VoteNY@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411519

Change 411494 merged by jenkins-bot:
[mediawiki/extensions/BlogPage@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411494

Change 411498 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411498

Change 411511 merged by jenkins-bot:
[mediawiki/extensions/FanBoxes@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411511

Change 411514 merged by jenkins-bot:
[mediawiki/extensions/LinkFilter@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411514

Change 411516 merged by jenkins-bot:
[mediawiki/extensions/SportsTeams@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411516

Change 411518 merged by jenkins-bot:
[mediawiki/extensions/UserStatus@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411518

Change 411519 merged by jenkins-bot:
[mediawiki/extensions/VoteNY@master] Revert 'Update at-ease calls in extensions'

https://gerrit.wikimedia.org/r/411519

Jayprakash12345 removed Jayprakash12345 as the assignee of this task.Feb 17 2018, 3:39 AM

Change 410556 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/410556

@Jayprakash12345 Can you please decrement the required mediawiki version in the extension.json file to some version that has actually been released?

This extension has been unusable for a few weeks, since the extension.json file specifies that it requires mediawiki >=1.31.0. Unfortunately, the latest stable version of mediawiki is v1.30.0. Consequently, after I installed this plugin, I got an error:

[Tue Feb 27 19:53:32.505818 2018] [:error] [pid 30891] [client 127.0.0.1:53618] PHP Fatal error:  Uncaught exception 'Exception' with message 'OATHAuth is not compatible with the current MediaWiki core (version 1.30.0), it requires: >= 1.31.0.' in /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php:261\nStack trace:\n#0 /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php(148): ExtensionRegistry->readFromQueue(Array)\n#1 /var/www/html/wiki.opensourceecology.org/htdocs/includes/Setup.php(40): ExtensionRegistry->loadFromQueue()\n#2 /var/www/html/wiki.opensourceecology.org/htdocs/includes/WebStart.php(114): require_once('/var/www/html/w...')\n#3 /var/www/html/wiki.opensourceecology.org/htdocs/index.php(40): require('/var/www/html/w...')\n#4 {main}\n  thrown in /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php on line 261

Unless there's a reason not to do so, can you please set this to >= 1.27, as is specified in the documentation?

Thank you,
Michael Altfield

Reedy added a comment.Feb 27 2018, 8:48 PM

@Jayprakash12345 Can you please decrement the required mediawiki version in the extension.json file to some version that has actually been released?
This extension has been unusable for a few weeks, since the extension.json file specifies that it requires mediawiki >=1.31.0. Unfortunately, the latest stable version of mediawiki is v1.30.0. Consequently, after I installed this plugin, I got an error:

[Tue Feb 27 19:53:32.505818 2018] [:error] [pid 30891] [client 127.0.0.1:53618] PHP Fatal error:  Uncaught exception 'Exception' with message 'OATHAuth is not compatible with the current MediaWiki core (version 1.30.0), it requires: >= 1.31.0.' in /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php:261\nStack trace:\n#0 /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php(148): ExtensionRegistry->readFromQueue(Array)\n#1 /var/www/html/wiki.opensourceecology.org/htdocs/includes/Setup.php(40): ExtensionRegistry->loadFromQueue()\n#2 /var/www/html/wiki.opensourceecology.org/htdocs/includes/WebStart.php(114): require_once('/var/www/html/w...')\n#3 /var/www/html/wiki.opensourceecology.org/htdocs/index.php(40): require('/var/www/html/w...')\n#4 {main}\n  thrown in /var/www/html/wiki.opensourceecology.org/htdocs/includes/registration/ExtensionRegistry.php on line 261

Unless there's a reason not to do so, can you please set this to >= 1.27, as is specified in the documentation?

Thank you,
Michael Altfield

Why are you using the git master version of an extension with an older version of MediaWiki? This is a combination that isn't supported, nor is it expected to work.

Removing the constraint will just cause a different breakage, as you'll have an older version at-ease in your vendor which won't work with the version of the extension

Maltfield added a comment.EditedFeb 27 2018, 8:55 PM

Why are you using the git master version of an extension with an older version of MediaWiki? This is a combination that isn't supported, nor is it expected to work.

I use git to manage my extensions to make updates easier. AFIK, this is fairly standard. It's documented here:

I'm a bit new here, but if the code is broken/untested, shouldn't it be stashed in a branch until it is ready to be merged into the stable/master version of an extension?

Also, I'm using Mediawiki 1.30.0, which should be the latest stable version--not an old version.

Reedy added a comment.Feb 27 2018, 9:01 PM

Why are you using the git master version of an extension with an older version of MediaWiki? This is a combination that isn't supported, nor is it expected to work.

I use git to manage my extensions to make updates easier. AFIK, this is fairly standard. It's documented here:

I'm a bit new here, but if the code is broken/untested, shouldn't it be stashed in a branch until it is ready to be merged into the stable/master version of an extension?
Also, I'm using Mediawiki 1.30.0, which should be the latest stable version--not an old version.

It's not broken or untested. It's working fine on Wikipedia.

So you should be doing git checkout REL1_30 to get the REL1_30 branch of the extension, not running REL1_30 branch of Mediawiki, with master of the extension

See https://www.mediawiki.org/wiki/Download_from_Git#MediaWiki_tags_(stable_version) and https://www.mediawiki.org/wiki/Download_from_Git#Latest_development_version_of_MediaWiki - the same applies for extensions as it does for MW Core

master will become REL1_31 in the near future

Reedy added a comment.Feb 27 2018, 9:02 PM

https://www.mediawiki.org/wiki/Download_from_Git#Download_an_extension should probably be fixed to mention how to clone a branch, or how to switch onto a specific branch when you already have an extension cloned

@Reedy thanks! I checked-out REL1_30, and it does indeed work. I switched all my extensions to this branch, ran update.php, and all is working. Thanks again :)

Change 409994 abandoned by Jayprakash12345:
Update at-ease calls in extensions

Reason:
As per SamanthaNguyen

https://gerrit.wikimedia.org/r/409994

Change 427396 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Update at-ease calls

https://gerrit.wikimedia.org/r/427396

Change 427395 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Update at-ease calls

https://gerrit.wikimedia.org/r/427395

Change 427397 merged by jenkins-bot:
[mediawiki/extensions/timeline@master] Update at-ease calls

https://gerrit.wikimedia.org/r/427397

Change 431301 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/extensions/SocialProfile@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/431301

Change 433164 had a related patch set uploaded (by Legoktm; owner: Reedy):
[mediawiki/extensions/Scribunto@REL1_31] Update at-ease calls

https://gerrit.wikimedia.org/r/433164

Change 433164 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@REL1_31] Update at-ease calls

https://gerrit.wikimedia.org/r/433164

@Nikerabbit would it help if we brought at-ease 1.2.0 into the older MW versions, so that we can update the calls in master of Translate?

I suppose yes, if those older versions have updates released first and this is clearly mentioned in release notes. IIRC last time we backported something there was no new release before it became not relevant anymore.

Reedy added a comment.May 29 2018, 3:54 PM

Except, trying to do this becomes a dependancy nightmare. Need to bump to a newer css-sanitizer, which is fine... But then you also need to do oojs-ui too, which hasn't needed at-ease for many versions... But would require patches and a release...

MW 1.31 is due out soon, so when that is out... We don't need to patch 1.29

Change 443189 had a related patch set uploaded (by C. Scott Ananian; owner: Jayprakash12345):
[mediawiki/extensions/BlogPage@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/443189

Change 443189 merged by jenkins-bot:
[mediawiki/extensions/BlogPage@master] Update at-ease calls in extensions

https://gerrit.wikimedia.org/r/443189

Krinkle moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.
Krinkle added a subscriber: Krinkle.

All core, bundled and WMF-deployed have been migrated, as well as 99% of all third-party uses. Doesn't seem like this should block at-ease or MW releases as we normally don't do that for API changes, either.

If I missed a critical use, let's track that on T182273 instead.

Change 491193 had a related patch set uploaded (by Drishya Ramesh; owner: Drishya Ramesh):
[mediawiki/extensions/SocialProfile@master] Fixed the incorrect function calls

https://gerrit.wikimedia.org/r/491193

Change 491193 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Updated at-ease calls in extensions

https://gerrit.wikimedia.org/r/491193

Krinkle removed a subscriber: Krinkle.Feb 18 2019, 10:39 PM

Change 410003 abandoned by Nikerabbit:
Update at-ease calls in extensions

Reason:
Was done in I44a49e8f836dea1ed3db39576e1b201181ca6b86

https://gerrit.wikimedia.org/r/410003

Jdforrester-WMF closed this task as Resolved.Feb 19 2019, 12:03 PM
Jdforrester-WMF updated the task description. (Show Details)

AFAICT this is now done. Thank you, all!